<?
$gatway[1]['name'] 	= "Paypal Gateway";
$gatway[1]['function'] 	= "gateway_paypal";
$gatway[1]['fields'] 	= array(
							'1' => array(
											'name' => 'Enable Gateway', 
											'type' => 'listbox', 
											'fieldname' => 'gateway_paypal',
											'list' => array(
												'yes'=>'Enable','no'=>'Disable',
											)
										   ),
							
							'2' => array(
											'name' => 'Paypal Email', 'type' => 'text', 'fieldname' => 'paypal_email'
										   ),
							'3' => array(
											'name' => 'Return URL', 'type' => 'text', 'fieldname' => 'paypal_return'
										   ),
							'4' => array(
											'name' => 'Cancel URL', 'type' => 'text', 'fieldname' => 'paypal_cancel'
										   ),
							'5' => array(
											'name' => 'Notify URL', 'type' => 'text', 'fieldname' => 'paypal_notify'
										   ),
							'6' => array(
											'name' => 'Currency Code', 'type' => 'text', 'fieldname' => 'paypal_currency'
										   ),
							'7' => array(
											'name' => 'Display Name', 'type' => 'text', 'fieldname' => 'gateway_paypal_name', 'default' => 'Pay Now with PayPal'
										   ),
							'8' => array(
											'name' => 'Display Icon', 'type' => 'text', 'fieldname' => 'gateway_paypal_icon',
										   ),
);

$gatway[2]['name'] 	= "Worldpay Gateway";
$gatway[2]['function'] 	= "gateway_worldpay";
$gatway[2]['fields'] 	= array(
							'1' => array(
											'name' => 'Enable Gateway', 
											'type' => 'listbox', 
											'fieldname' => 'gateway_worldpay',
											'list' => array(
												'yes'=>'Enable','no'=>'Disable',
											)
										   ),
							
							'2' => array(
											'name' => 'Install ID', 'type' => 'text', 'fieldname' => 'worldpay_instId'
										   ),
							'3' => array(
											'name' => 'Account ID', 'type' => 'text', 'fieldname' => 'worldpay_accId1'
										   ),
							'4' => array(
											'name' => 'Currency Code', 'type' => 'text', 'fieldname' => 'worldpay_currency'
										   ),
							'5' => array(
											'name' => 'Test Mode (101 or 100)', 'type' => 'text', 'fieldname' => 'worldpay_testmode'
										   ),
							'6' => array(
											'name' => 'Display Name', 'type' => 'text', 'fieldname' => 'gateway_worldpay_name', 'default' => 'Pay Now with Worldpay'
										   ),
							'7' => array(
											'name' => 'Display Icon', 'type' => 'text', 'fieldname' => 'gateway_worldpay_icon',
										   ),
);


$gatway[3]['name'] 	= "Bank Transfer";
$gatway[3]['function'] 	= "gateway_bank";
$gatway[3]['fields'] 	= array(
							'1' => array(
											'name' => 'Enable Gateway', 
											'type' => 'listbox', 
											'fieldname' => 'gateway_bank',
											'list' => array(
												'yes'=>'Enable','no'=>'Disable',
											)
										   ),
							
							'2' => array(
											'name' => 'Link to Bank Information Page', 'type' => 'text', 'fieldname' => 'bank_link'
										   ),
							'3' => array(
											'name' => 'Display Name', 'type' => 'text', 'fieldname' => 'gateway_bank_name', 'default' => 'Pay Now with Bank Transfer'
										   ),
							'4' => array(
											'name' => 'Display Icon', 'type' => 'text', 'fieldname' => 'gateway_bank_icon',
										   ),

);


$gatway[4]['name'] 	= "Google Checkout";
$gatway[4]['function'] 	= "gateway_google";
$gatway[4]['fields'] 	= array(
							'1' => array(
											'name' => 'Enable Gateway', 
											'type' => 'listbox', 
											'fieldname' => 'gateway_google',
											'list' => array(
												'yes'=>'Enable','no'=>'Disable',
											)
										   ),
							
							'2' => array(
											'name' => 'Merchant ID', 'type' => 'text', 'fieldname' => 'google_merchant'
										   ),
							'3' => array(
											'name' => 'Currency Code', 'type' => 'text', 'fieldname' => 'google_currency'
										   ),
							'4' => array(
											'name' => 'Display Name', 'type' => 'text', 'fieldname' => 'gateway_google_name', 'default' => 'Pay Now with Google Checkout'
										   ),
							'5' => array(
											'name' => 'Display Icon', 'type' => 'text', 'fieldname' => 'gateway_google_icon',
										   ),

);

$gatway[5]['name'] 	= "Custom Gateway Setup";
$gatway[5]['function'] 	= "gateway_custom";
$gatway[5]['fields'] 	= array(
							'1' => array(
											'name' => 'Enable Gateway', 
											'type' => 'listbox', 
											'fieldname' => 'gateway_custom',
											'list' => array(
												'yes'=>'Enable','no'=>'Disable',
											)
										   ),
							
							'2' => array(
											'name' => 'Form POST Link', 'type' => 'text', 'fieldname' => 'custom_form'
										   ),
							'3' => array(
											'name' => 'Forum Hidden Values', 'type' => 'textarea', 'fieldname' => 'custom_data'
										   ),
							'4' => array(
											'name' => 'Display Name', 'type' => 'text', 'fieldname' => 'gateway_custom_name', 'default' => 'Pay Now '
										   ),
							'5' => array(
											'name' => 'Display Icon', 'type' => 'text', 'fieldname' => 'gateway_custom_icon',
										   ),

);



// ---------------------------- GATEWAY FIELD CODE ------------------------

 
function MakeField($type, $name, $value, $list="", $default=""){

if($value ==""){ $value = $default; }
	switch($type){
	
		case "checkbox": { return  "<input type='checkbox' class='checkbox' name='".$name."' value='".$value."'> "; } break;
	
		case "text": { return  "<input type='text' name='adminArray[".$name."]' value='".$value."' style='width:500px;'>"; } break;

		case "textarea": { return "<textarea name='adminArray[".$name."]' type='text' style='width:550px; height:150px;'>".stripslashes($value)."</textarea>"; } break;


		case "listbox": { 

			$r ="<select name='adminArray[".$name."]' style='width: 150px;'>";
			foreach($list as $key => $val){
				if($value==$key){ $sel="selected"; }else{ $sel=""; }
				$r .="<option value='".$key."' ".$sel.">".$val."</option>";
			}
			$r .="</select>";
			return $r;

		} break;

	}

}

// ---------------------------- GATEWAY CODE ------------------------

function gateway_paypal($data=""){

	global $wpdb;

	$gatewaycode = "";
	
	$gatewaycode = '<form method="post" action="https://www.paypal.com/cgi-bin/webscr" name="checkout_paypal">
	<input type="hidden" name="amount" value="'.$data['total'].'">
	<input type="hidden" name="return" value="'.get_option('paypal_return').'">
	<input type="hidden" name="cancel_return" value="'.get_option('paypal_cancel').'">
	<input type="hidden" name="notify_url" value="'.get_option('paypal_notify').'">
	<input type="hidden" name="cmd" value="_xclick">
	<input type="hidden" name="item_name" value="'.$data['description'].'">
	<input type="hidden" name="item_number" value="'.$data['orderid'].'">
	<input type="hidden" name="business" value="'.get_option('paypal_email').'">
	<input type="hidden" name="currency_code" value="'.get_option('paypal_currency').'">

	 <input  type="submit" value="Pay Now >>" class="submit" />

	</form>';

	return $gatewaycode;

}

function gateway_worldpay($data=""){

	global $wpdb;

	$gatewaycode = "";

	$gatewaycode = '<form name="checkout_worldpay" target="_top" method="post" action="https://select.worldpay.com/wcc/purchase">	
	<input type="hidden" name="amount" value="'.$data['total'].'" >
	<input type="hidden" name="instId" value="'.get_option('worldpay_instId').'">
	<input type="hidden" name="accId1" value="'.get_option('worldpay_accId1').'">
	<input type="hidden" name="cartId" value="'.$data['orderid'].'">
	<input type="hidden" name="desc" value="'.$data['description'].'">
	<input type="hidden" name="currency" value="'.get_option('worldpay_currency').'">
	<input name="testMode" value="'.get_option('worldpay_testmode').'" type="hidden">

	 <input  type="submit" value="Pay Now >>" class="submit" />

	</form>';

	return $gatewaycode;

}

function gateway_bank($data=""){

	global $wpdb;


	$gatewaycode = '<p class="CheckoutBtn"><a href="javascript:location.href=\''.get_option('bank_link').'\'">Checkout</a></p>';

	return $gatewaycode;

}

function gateway_google($data=""){

	global $wpdb;


	$gatewaycode = "";

	$gatewaycode = '<form method="POST"  action="https://checkout.google.com/api/checkout/v2/checkoutForm/Merchant/'.get_option('google_merchant').'" name="checkout_google" accept-charset="utf-8">

	  <input type="hidden" name="item_name_1" value="'.$data['orderid'].'"/>
	  <input type="hidden" name="item_description_1" value="'.$data['description'].'"/>
	  <input type="hidden" name="item_quantity_1" value="1"/>
	  <input type="hidden" name="item_price_1" value="'.$data['total'].'"/>
	  <input type="hidden" name="item_currency_1" value="'.get_option('google_currency').'"/>	 
	  <input type="hidden" name="_charset_"/>

	  <input  type="submit" value="Pay Now >>" class="submit" />
	
	  </form>';

	return $gatewaycode;

}

function gateway_custom($data=""){

	global $wpdb;


	// CUSTOM REPLACE
	$PaymentButton = str_replace("(orderid)",$data['orderid'],get_option('custom_data'));
	$PaymentButton = str_replace("(amount)",$data['total'],$PaymentButton);
	$PaymentButton = str_replace("(description)",$data['description'],$PaymentButton);
	$PaymentButton = str_replace('\"','"',$PaymentButton);
	$PaymentButton = str_replace('(city)',strip_tags($data['billing']['city']),$PaymentButton);
	$PaymentButton = str_replace('(email)',strip_tags($data['billing']['email']),$PaymentButton);
	$PaymentButton = str_replace('(fname)',strip_tags($data['billing']['fname']),$PaymentButton);
	$PaymentButton = str_replace('(lname)',strip_tags($data['billing']['lname']),$PaymentButton);
	$PaymentButton = str_replace('(address1)',strip_tags($data['billing']['address1']),$PaymentButton);
	$PaymentButton = str_replace('(address2)',strip_tags($data['billing']['address2']),$PaymentButton);
	$PaymentButton = str_replace('(phone)',strip_tags($data['billing']['phone']),$PaymentButton);
	$PaymentButton = str_replace('(country)',strip_tags($data['billing']['country']),$PaymentButton);


	$gatewaycode = "";

	$gatewaycode = '<form method="POST" action="'.get_option('custom_form').'" name="checkout_custom">'.$PaymentButton.'

	  <input  type="submit" value="Pay Now >>" class="submit" />
	
	  </form>';

	return $gatewaycode;

}
 

/*foreach($gatway as $Value){
print_r($Value);
}*/

?>